

@import url('https://fonts.googleapis.com/css2?family=Open+Sans&family=Poppins:ital,wght@0,200;0,300;0,700;1,200;1,300;1,600&family=Roboto&family=Signika+Negative:wght@300&display=swap');


:root{
    --green:#37b182;
    --yellow:#f9d806;
    --light-yellow:#ffee80;
    --light-green:#90ee90;
    --black:#130f40;
    --light-color:#666;
    --border:1rem solid rgba(0,0,0,.1);
    --box-shadow:0.5rem  1rem gray;
    --light-green:var(--black)
    
}
*{
    font-family: 'Open Sans', sans-serif;
    font-family: 'Poppins', sans-serif;
    margin: 0; padding: 0;
    box-sizing: border-box;
    outline: none; border: none;
    text-decoration: none;
    text-transform: capitalize;
    transition: all .2s linear;
    color: light;
}
html{
    font-size: large;
    overflow-x: hidden;
    scroll-padding-top: 7rem;
    scroll-behavior: smooth;
}

/* .btn{
    display: inline-block;
    margin-top: 1rem;
    border-radius: .5rem;
    background:  var(--yellow);
    color: var(--black);
    font-weight: 500;
    font-size: 1.7rem;
    cursor: pointer;
    padding: .8rem .3rem;

} */

section{
    padding: 2rem 9%;
}

.heading{
    text-align: center;
    padding-bottom: 2rem;
    font-size: 2.5rem;
    color: var(--black);
}
.heading span{
    position: relative;
    z-index: 0;
}

.heading span:before{
    content: '';
    position: absolute;
    bottom: 0rem; left: 0;
    height: 80%;
    width: 100%;
    z-index: -1;
    background: var(--green);
    clip-path: polygon(0 90%, 100% 80%, 100% 100%, 0% 100%);
}

.btn {
    /* background-color: green; */
    color: var(--black);
    text-decoration: none;
    background: var(--green);
    padding: 10px 25px;
    border: 4px solid transparent;
    border-radius: .5rem;
    cursor: pointer;
    font-size: 15px;
    margin-top: 1rem;
    display: inline-block;
    font-weight: 500;
}
.btn:hover{
    background: var(--green);
}

.header{
    position: fixed;
    top: 0; left: 0; right: 0;
    z-index: 999;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 3rem 9%;
}

.header .logo{
    color:var(--black);
    font-size: 2.5rem;
    font-weight: bolder;
}

.header .logo span{
    color:var(--green);
}

.header .navbar a{
    font-size: 1rem;
    margin: 0.1rem;
    color:var(--black);
}

.header .navbar a:hover{
    color:var(--green);
}

.header .btn{
    margin-top: 0;
}


.header #login-btn i{
    font-size: 2.5rem;
    color: var(--green);
    cursor: pointer;
    display: none;
}

#menu-btn{
    font-size: 2.5rem;
    color: var(--light-color);
    cursor: pointer;
    display: none;
}


.header.active{
    box-shadow: var(--box-shadow);
    padding: 2rem 9%;
}

.login-form-container{
    position: fixed;
    top: -105%; left: 0;
    z-index: 1000;
    height: 100%;
    width: 100%;
    background: rgba(255,255,255,.9);
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 10%;
    opacity: 0;
}

.login-form-container.active{
    top: 0;
    opacity: 1;
}

.login-form-container form{
    padding: 2rem;
    margin: 2rem;
    border-radius: .5rem;
    box-shadow: var(--light-color);
    background: #fff;
    border: var(--border);
    text-align: center;
    width: 40rem;
}

.login-form-container form .button{
    display: flex;
    align-items: center;
    gap: 1rem;
}

.login-form-container form .btn{
    width: 40%;
    margin: .5rem 0;
}

.login-form-container form h3{
    color: var(--black);
    font-size: 2.5rem;
    padding-bottom: 1rem;
    text-transform: uppercase;
}

.login-form-container form .box{
    margin: .2rem 0;
    width: 40%;
    text-transform: none;
    color: var(--black);
    padding: 1rem 1.2rem;
    border: var(--border);
    border-radius: .5rem;
    font-size: 1.2rem;
}

.login-form-container form p{
    padding: 1rem 0;
    font-size: 1.1rem;
    color: var(--light-color);
}
.login-form-container form p a{
    color: var(--green);
    text-decoration: underline;
}
.login-form-container #close-login-form{
    position: absolute;
    top: 1.5rem; right: 2.5rem;
    font-size: 3rem;
    color: var(--black);
    cursor: pointer;
}


.home{
    padding-top: 10rem;
    text-align: center;
    overflow-x: hidden;
}

.home h1{
    font-size: 5.5vw;
    text-transform: uppercase;
    color: var(--black);
}

.home img{
    width: 100%;
    margin: 1rem 0;
}

.icons-container{
    padding: 5rem;
    padding-bottom: 5rem;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
    gap: 1.5rem;
    background: #eee;
}

.icons-container .icons{
    display: flex;
    align-items: center;
    gap: 1.5rem;
    padding: 2rem;
    background: #fff;
    box-shadow: var(--box-shadow);
    border-radius: .5rem;
}

.icons-container .icons i{
    height: 5rem;
    width: 5rem;
    line-height: 5rem;
    border-radius: 50%;
    background: #eee;
    color: var(--black);
    text-align: center;
}

.icons-container .icons .content h3{
    color: var(--green);
    font-size: 1.7rem;
}

.icons-container .icons .content p{
    color: var(--light-color);
    font-size: 1.2rem;
}

.icons-container .icons:hover{
    background: var(--black);
}
.icons-container .icons:hover i{
    background: var(--green);
}

.icons-container .icons:hover .content h3{
    color: #fff;
}

.icons-container .icons:hover .content p{
    color: #eee;
}
.vehicles .vehicles-slider{
    padding-bottom: 5rem;
}

.vehicles .vehicles-slider .box{
    text-align: center;
}

.vehicles .vehicles-slider .box img{
    width: 90%;
    opacity: .5;
    transform: scale(.8);
}

.vehicles .vehicles-slider .box .content{
    padding-top: 1rem;
    transform: scale(0);
}

.vehicles .vehicles-slider .swiper-slide-active img{
    opacity: 1;
    transform: scale(1);
}


.vehicles .vehicles-slider .swiper-slide-active .content{
    transform: scale(1);

}


.vehicles .vehicles-slider .box .content h3{
    font-size: 2.5rem;
    color: var(--black);

}

.vehicles .vehicles-slider .box .content .price{
    font-size: 2.5rem;
    color: var(--green);
    padding: 1rem 0;
    font-weight: bolder;
}

.vehicles .vehicles-slider .box .content .price span{
    font-size: 1.7rem;
    color: var(--green);
    font-weight: normal;
}

.vehicles .vehicles-slider .box .content p{
    font-size: 1rem;
    padding: 1rem;
    padding-top: 1.3rem;
    border-top: var(--border);
    color: var(--light-yellow);
}

.vehicles .vehicles-slider .box .content p span{
    color: var(--green);
    font-size: .8rem;
    padding: 0.5rem;
}

.swiper-pagination-bullet-active{
    background: var(--green);
}

.services .box-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
    gap: 1.5rem;

}

.services .box-container .box{
    text-align: center;
    padding: 2rem;
    border-radius: .5rem;
    box-shadow: var(--box-shadow);
    border: var(--border);
}

.services .box-container .box i{
    height: 4rem;
    width: 4rem;
    line-height: 6rem;
    font-size: 1.8rem;
    color: var(--black);
    background: var(--green);
    border-radius: 50%;
    margin-bottom: 1rem;
}

.services .box-container .box h3{
    color: var(--black);
    font-size: 1.5rem;
}

.services .box-container .box p{
    color: var(--light-color);
    font-size: 1rem;
    padding: 1rem 0;
    line-height: 1;
}

.services .box-container .box:hover{
    background: var(--black);
}

.services .box-container .box:hover h3{
    color: #fff;
}

.services .box-container .box:hover p{
    color: #eee;
}  

.featured .featured-slider{
    /* padding: 1rem; */
    /* padding-bottom: 4rem;
    text-align: center; */
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(25rem, 2fr));
    gap: 1.5rem;
    padding: 1rem;
    text-align: center;
    padding-bottom: 4rem;
}

.featured .featured-slider .box{
    text-align: center;
    padding: 2rem;
    box-shadow: var(--box-shadow);
    border: var(--border);
    border-radius: .5rem;
    width: 25rem;
}

.featured .featured-slider .box img{
    /* height: 13rem; */
    width: 100%;
    padding: 2rem;
}

.featured .featured-slider .box:hover img{
    transform: scale(.9);
}

.featured .featured-slider .box h3{
    font-size: 2.2rem;
    color: var(--black);
}

.featured .featured-slider .box .stars{
    padding: 1rem 0;
}

.featured .featured-slider .box .stars i{
    font-size: 1.7rem;
    color: var(--green);
}

.featured .featured-slider .box .price{
    font-size: 2.5rem;
    color: var(--black);
}

.newsletter{
    padding: 6rem 2rem;
    text-align: center;
    background: url(./Images/speed.WEBP) no-repeat;
    background-position: center;
    background-size: cover;
}

.newsletter h3{
    color: var(--black);
    font-size: 3rem;
}

.newsletter p{
    color: var(--light-color);
    font-size: 1.5rem;
    padding: 1rem 0;
}

.newsletter form{
    margin: 2rem auto;
    max-width: 60rem;
    height: 4rem;
    display: flex;
    box-shadow: var(--box-shadow);
    overflow: hidden;
    border-radius: 5rem;
}

.newsletter form input[type="email"]{
    height: 100%;
    width: 100%;
    font-size: 1.6rem;
    color: var(--black);
    text-transform: none;
    padding: 0 .2rem;

}


.newsletter form input[type="submit"]{
    height: 100%;
    width: 17rem;
    font-size: 1.7rem;
    /* color: var(--black); */
    background: var(--light-green);
    cursor: pointer;
    color: #7fffd4;
}

.newsletter form input[type="submit"]:hover{
    background: var(--green);
}

.reviews .reviews-slider{
    padding-bottom: 3rem;
}

.reviews .reviews-slider .box{
    padding: 2rem;
    margin: 2rem 0;
    text-align: center;
    opacity: .4;
    transform: scale(.9);
}

 .reviews .reviews-slider .swiper-slide-active {
    opacity: 1;
    transform: scale(1);
    box-shadow: var(--box-shadow);
    border: var(--border);
} 

.reviews .reviews-slider .box img{
    height: 4rem;
    width: 4rem;
    border-radius: 60%;
    margin-bottom: 1rem;
}

.reviews .reviews-slider .box .content p{
    font-size: 1.5rem;
    color: var(--light-color);
    padding: 1rem 0;
}

.reviews .reviews-slider .box .content h3{
    font-size: 2.2rem;
    color: var(--black);
    padding-bottom: .5rem;
}

.reviews .reviews-slider .box .content .stars i{
    font-size: 1.7rem;
    color: var(--black);
}

.contact .row{
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.contact .row .map{
    flex:1 1 15rem;
    width: 100%;
    padding: 2rem;
    border: var(--border);
    border-radius: .5rem;
    box-shadow: var(--box-shadow);
}

.contact .row form{
    flex:1 1 15rem;
    padding: 2rem;
    border: var(--border);
    border-radius: .5rem;
    box-shadow: var(--box-shadow);
    text-align: center;
}

.contact .row form h3{
    font-size: 2rem;
    color: var(--black);

}

.contact .row form .box{
    margin: .5rem 0;
    width: 100%;
    border: var(--border);
    padding: 1rem;
    font-size: small;
    text-transform: none;
    color: var(--black);
    border-radius: .5rem;
}

.contact .row form textarea{
    height: 15rem;
    resize: none;
}

.footer{
    background: var(--green);
    margin: 3rem 0;
}

.footer .box-container{
    display: flex;
    grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
    gap: 1rem;
}

.footer .box-container .box h3{
    color: var(--black);
    font-size: 1.2rem;
    padding: 1rem 0;
}

.footer .box-container .box a{
    color: var(--black);
    font-size: 1.2rem;
    display: block;
    padding: 1rem 0;
}

.footer .box-container .box a i{
    padding-right: .5rem;
    color: var(--black);
}

.footer .box-container .box a:hover i{
    padding-right:  2rem;
}

.footer .breed{
    text-align: center;
    border-top: var(--border);
    padding: 1rem;
    padding-top: 2.5rem;
    margin-top: 2rem;
    font-size: 1rem;
}


































/* media queries */
@media(max-width:991px){

    html{
        font-size: 55%;
    }

    .header{
        padding: 2rem;
    }

    .header.active{
        padding: 2rem;
    }

    .section{
        padding: 2rem;
    }

}


@media(max-width:768px){

    #menu-btn{
        display: block;
    }

    #menu-btn.fa-times{
        transform: rotate(180deg);
    }

    .header #login-btn i{
        display: block;

    }

    .header #login-btn .btn{
        display: none;
        
    }

    .header .navbar{
        position: absolute;
        top: 99%; left: 0; right: 0;
        background: #fff;
        border-top: var(--border);
        clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);

    }

    .header .navbar.active{
        clip-path: polygon(0 0, 100% 0,100% 100%, 0% 100%);
    }

    .header .navbar a{
        display: block;
        margin: 2rem;
        font-size: 2rem;

    }
}


@media(max-width:450px){

    html{
        font-size: 50%;
    }

    .heading{
        font-size: 3rem;
    }
}